View Issue Details

IDProjectCategoryView StatusLast Update
0001591RackTablesSNMPpublic2017-12-04 14:40
ReporterGyroTechAssigned Toinfrastation 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.20.11 
Target Version0.21.2Fixed in Version0.21.2 
Summary0001591: Add SNMP support for TP-Link JetStream SG3424
DescriptionWhen attempting an SNMP sync with a TP-SG3424 I get an "Unknown OID '11863.1.1.3'" error. FAQ states that this means support has to be added manually for this device.

I had a look at patching support myself (as https://wiki.racktables.org/index.php/RackTablesDevelGuide#SNMP_sync) but couldn't quite make out the process.

If any additional information is needed, please let me know.
Additional InformationExact model/part number: TL-SG3424

SFP Combo: Ports 21-24 shared with pluggable SFP module 21F, 22F, 23F, 24F

$ snmpwalk -v 1 -c public switch01 sysDescr.01
SNMPv2-MIB::sysDescr.0 = STRING: JetStream 24-Port Gigabit L2 Managed Switch with 4 Combo SFP Slots

$ snmpwalk -On -v 1 -c public switch01 sysObjectID.0
.1.3.6.1.2.1.1.2.0 = OID: .1.3.6.1.4.1.11863.1.1.3

$ snmpwalk -v 1 -c public switch01 ifTable > tp-sg3424.ifTable.out
--> FILE ATTACHED TO TICKET <--
TagsNo tags attached.

Activities

GyroTech

GyroTech

2016-03-05 10:04

reporter  

tp-sg3424.ifTable.out (25,107 bytes)
mhagen

mhagen

2017-11-21 20:53

reporter   ~0003765

Added the switch in https://github.com/RackTables/racktables/pull/209

Issue History

Date Modified Username Field Change
2016-03-05 10:04 GyroTech New Issue
2016-03-05 10:04 GyroTech Status new => assigned
2016-03-05 10:04 GyroTech Assigned To => adoom42
2016-03-05 10:04 GyroTech File Added: tp-sg3424.ifTable.out
2017-11-21 20:53 mhagen Note Added: 0003765
2017-12-04 14:40 infrastation Assigned To adoom42 => infrastation
2017-12-04 14:40 infrastation Status assigned => closed
2017-12-04 14:40 infrastation Resolution open => fixed
2017-12-04 14:40 infrastation Fixed in Version => 0.21.2
2017-12-04 14:40 infrastation Target Version => 0.21.2